org.apache.cassandra.db.lifecycle

## Class LogReplicaSet

- java.lang.Object
- - org.apache.cassandra.db.lifecycle.LogReplicaSet

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class LogReplicaSet
      extends java.lang.Object
      implements java.lang.AutoCloseable

  A set of log replicas. This class mostly iterates over replicas when writing or reading, ensuring consistency among them and hiding replication details from LogFile.
  See Also:
    `LogReplica`, `LogFile`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogReplicaSet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LogReplicaSet

          public LogReplicaSet()

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation